package lols.auth.api;

public interface AuthService {

    /**
     * @throws lols.auth.api.NoSuchUserException
     *          When requested user do not exist.
     * @throws lols.auth.api.InvalidPasswordException
     *          When password passed to the service is invalid.
     */
    String login(Credentials credentials);

    boolean isLogged(String token);

    void logout(String token);

    String getUserDomain(String token);

}
