package lols.auth.api;

public class LoginPasswordCredentials implements Credentials {

    private final String login;

    private final String password;

    public LoginPasswordCredentials(String login, String password) {
        this.login = login;
        this.password = password;
    }

    public String getLogin() {
        return login;
    }

    public String getPassword() {
        return password;
    }

}
